INPUT_MT_REPORT_SLOT(9)

NAME
input_mt_report_slot_state - report contact state

SYNOPSIS

void input_mt_report_slot_state(struct input_dev * dev, unsigned int tool_type, bool active);

ARGUMENTS

dev
    input device with allocated MT slots

tool_type
    the tool type to use in this slot

active
    true if contact is active, false otherwise

DESCRIPTION

Reports a contact via ABS_MT_TRACKING_ID, and optionally ABS_MT_TOOL_TYPE. If active is true and the slot is currently inactive, or if the tool type is changed, a new tracking id is assigned to the slot. The tool type is only reported if the corresponding absbit field is set.

COPYRIGHT